aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorProsperousPotato <ProsperousPotato@users.noreply.github.com>2026-01-14 17:30:01 +0000
committerProsperousPotato <ProsperousPotato@users.noreply.github.com>2026-01-14 17:30:01 +0000
commitd7adaeb47fed817ae9f32a4bec54e2aa0624bfb5 (patch)
tree556949534eca95a652de717b323e5406989fa84f
parent598ee072e44f175d4dccdb400631e197f6c11419 (diff)
add matcha gtk theme
-rw-r--r--x11-themes/matcha-gtk-theme/Manifest1
-rw-r--r--x11-themes/matcha-gtk-theme/matcha-gtk-theme-20250411.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/x11-themes/matcha-gtk-theme/Manifest b/x11-themes/matcha-gtk-theme/Manifest
new file mode 100644
index 0000000..d30ece8
--- /dev/null
+++ b/x11-themes/matcha-gtk-theme/Manifest
@@ -0,0 +1 @@
+DIST matcha-gtk-theme-20250411.tar.gz 4292876 BLAKE2B 2d04707b39ae05526ba41bb6c6a11eea66c5937911ea2ae29d9a4899366dd80b8a6d08631378e8d56c3c350e051664b0db292759c24486224be87fb45479fd28 SHA512 dfbe5ad66538e77b777ba871ccafed03ecc926c5c0ffe773ad1f458ebb2802ce4f1c494574bce1a09c1a93432e441bcb043eb7ac79b74f384333cee1e314acf4
diff --git a/x11-themes/matcha-gtk-theme/matcha-gtk-theme-20250411.ebuild b/x11-themes/matcha-gtk-theme/matcha-gtk-theme-20250411.ebuild
new file mode 100644
index 0000000..30fd280
--- /dev/null
+++ b/x11-themes/matcha-gtk-theme/matcha-gtk-theme-20250411.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="A flat design theme for GTK 3, GTK 2 and GNOME Shell"
+HOMEPAGE="https://vinceliuice.github.io/theme-matcha.html"
+SRC_URI="https://github.com/vinceliuice/Matcha-gtk-theme/archive/refs/tags/2025-04-11.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ gtk2? (
+ x11-themes/gtk-engines-murrine
+ x11-themes/gtk-engines
+ )
+"
+
+IUSE="gtk2"
+
+S="${WORKDIR}/Matcha-gtk-theme-2025-04-11"
+
+src_prepare() {
+ default
+
+ sed -i "s|GTKSV_DIR=.*|GTKSV_DIR=\"${ED}/usr/share/gtksourceview-3.0/styles\"|" install.sh || die
+}
+
+src_install() {
+ dodir /usr/share/themes
+ ./install.sh -d "${ED}/usr/share/themes/" || die "Installation failed"
+}